Skip to main content
PATCH
/
v1
/
triggers
Update trigger metadata
curl --request PATCH \
  --url https://brew.new/api/v1/triggers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "triggerEventId": "tri_xxx",
  "title": "Renamed"
}
'
{
  "triggers": [
    {
      "triggerEventId": "<string>",
      "title": "<string>",
      "payloadSchema": {
        "type": "object",
        "fields": [
          {
            "key": "<string>",
            "required": true,
            "fallbackValue": "<string>"
          }
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "providerEventKey": "<string>"
    }
  ],
  "pagination": {
    "limit": 50,
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Body

application/json
triggerEventId
string
required
Required string length: 1 - 256
title
string
Required string length: 1 - 120
description
string
Maximum string length: 2000
payloadSchema
object

Response

Updated. Returns the uniform { triggers: [row] } envelope (single-element array of the updated row).

triggers
object[]
required
pagination
object